gaPlugin.js アップデート


gaPlugin.jsをアップデートしました。
正確にはgaPlugin_start.jsとコンフィグファイルを修正しています。
gaPlugin.js本体は修正していません。

ダウンロードはこちらから。

設定ファイルを読み込む方法を修正しています。
このバージョンからは、<head>タグ内で以下の方法で読み込むようにしてください。

<script src="/ga/gaPlugin.js" type="text/javascript"></script>
<script src="/ga/gaConf.js" type="text/javascript"></script>
<script src="/ga/gaPlugin_start.js" type="text/javascript"></script>
<!-- src=""は3つのJSファイルを置いたパスを指定してください。 -->

以前のバージョンのgaPlugin_start.jsはIE6でうまく動きません。
また、これまで設定ファイルは、XMLHttpRequetで読み込んでeval()するという方法を採っていましたが、セキュリティ的に不安があったので、HTML上でJSファイルを呼び出すという普通の方法に戻しました。

もし既に以前のバージョンを利用していて、なかなか変更できない場合は、IE6に対応するようにしたファイルも用意しました。
gaPlugin_start.js
注意:eval()を使っているので、セキュリティ的に微妙です!基本的には、GitHub上にある最新版を使うようにして、このファイルは使わないようにしてください。

あと、ちゃんとドキュメントを書かなくてはダメだということはわかっていますが、なかなか心のゆとりがないのです。。。。

Leave a Reply